<?php
add_thickbox();

$tabs = [
    __cp("Logs") => 'logs',
    __cp("Verified") => 'verified',
    __cp("Woo Download") => 'woo-download',
]



?>
<form method="post">
<div class="wrap">
    <h1 class="wp-heading-inline"><?php _cp('SMS verify report') ?></h1>
    <hr class="wp-header-end">

    <nav class="nav-tab-wrapper woo-nav-tab-wrapper">
        <?php
        $action_current = isset($_GET['action_page']) && $_GET['action_page'] != 'logs' ? $_GET['action_page'] : 'logs';
        foreach ($tabs as $label => $key) {
            $active = '';

            $url = http_build_query([
                'page' => CPOTP_LOGS_SLUG,
                'action_page' => $key
            ]);
            if ($key == $action_current) {
                $active = "nav-tab-active";
            }
            
            $active = esc_attr($active);
            $label = esc_html($label);

            echo "<a href=\"?{$url}\" class=\"nav-tab {$active}\">{$label}</a>";
        }
        ?>
    </nav>

    <?php if ($action_current == 'logs') : ?>
        <?php $totalItems = $logsTotal; ?>
        <ul class="subsubsub">
            <a class="<?php echo ($logType == 'all') ? 'current' : '' ?>"
               href="<?php echo add_query_arg('log_type', "all") ?>">
                <?php _cp("All"); ?>
                <span class="count">(<?php echo esc_html($logsTotal) ?>)</span>
            </a>

            <?php foreach ($logsStatistic as $item): ?>
                <?php
                if ($logType == $item->name) {
                    $totalItems = $item->count;
                }

                $url = http_build_query([
                    'page' => CPOTP_LOGS_SLUG,
                    'action_page' => $action_current,
                    "log_type" => $item->name
                ]);
                ?>
                <li class="publish">
                    <a href="?<?php echo($url) ?>"
                       class="<?php echo ($logType == $item->name) ? 'current' : '' ?>"
                    >
                        <?php echo esc_html($item->name) ?>
                        <span class="count">(<?php echo esc_html($item->count) ?>)</span>
                    </a>
                </li>
            <?php endforeach; ?>

        </ul>


        <table class="wp-list-table widefat fixed striped pages">
            <thead>
            <th class="column-primary"><?php _cp("Phone") ?></th>
            <th><?php _cp("Email") ?></th>
            <th><?php _cp("UserID") ?></th>
            <th><?php _cp("From") ?></th>
            <th><?php _cp("Referral") ?></th>
            <th><?php _cp("Date") ?></th>
            </thead>

            <?php foreach ($items as $item) : ?>
                <tr>
                    <td class="column-primary"><?php echo esc_html($item->phone) ?>
                        <button type="button" class="toggle-row"><span
                                    class="screen-reader-text"><?php _cp('Show more details') ?></span></button>
                    </td>
                    <td data-colname="<?php _cp('Email') ?>"><?php echo esc_html($item->email) ?></td>
                    <td data-colname="<?php _cp('UserID') ?>"><?php echo esc_html($item->user_id) ?></td>
                    <td data-colname="<?php _cp('From') ?>"><?php echo esc_html($item->form_name) ?></td>
                    <td data-colname="<?php _cp('Referral') ?>">
                        <?php if (!empty($item->referral_url)) :?>
                            <a href="<?php echo esc_url($item->referral_url) ?>"
                                target="_blank"><?php _cp("Open link") ?></a>
                        <?php endif; ?>
                    </td>
                    <td data-colname="<?php _cp('Date') ?>"><?php echo cpFormatDateTime($item->created_at) ?></td>
                </tr>
            <?php endforeach; ?>
        </table>

        <div class="tablenav bottom">
            <div class="tablenav-pages">
                <?php
                $totalPage = ceil($totalItems / $limit);
                echo cpAdminPagination($totalPage, $paged);
                ?>
            </div>
        </div>
    <?php elseif ($action_current == 'verified') : ?>
        <div class="cpotp-right">
            <button type="submit" class="el-button el-button--primary" name="cpotp_export_type" value="<?php echo $action_current; ?>"><?php _cp('Export'); ?></button>
        </div>
        <table class="wp-list-table widefat fixed striped pages">
            <thead>
            <th class="column-primary"><?php _cp("Phone") ?></th>
            <th><?php _cp("Email") ?></th>
            <th><?php _cp("UserID") ?></th>
            <th><?php _cp("Date") ?></th>
            </thead>

            <?php foreach ($items as $item) : ?>
                <tr>
                    <td class="column-primary"><?php echo esc_html($item->phone) ?>
                        <button type="button" class="toggle-row"><span
                                    class="screen-reader-text"><?php _cp('Show more details') ?></span></button>
                    </td>
                    <td data-colname="<?php _cp('Email') ?>"><?php echo esc_html($item->email) ?></td>
                    <td data-colname="<?php _cp('UserID') ?>"><?php echo esc_html($item->user_id) ?></td>
                    <td data-colname="<?php _cp('Date') ?>"><?php echo cpFormatDateTime($item->created_at) ?></td>
                </tr>
            <?php endforeach; ?>
        </table>

        <div class="tablenav bottom">
            <div class="tablenav-pages">
                <?php
                $totalPage = ceil($totalItems / $limit);
                echo cpAdminPagination($totalPage, $paged);
                ?>
            </div>
        </div>

    <?php elseif ($action_current == 'woo-download') : ?>
        <div class="cpotp-right">
            <button type="submit" class="el-button el-button--primary" name="cpotp_export_type" value="<?php echo $action_current; ?>"><?php _cp('Export'); ?></button>
        </div>
        <table class="wp-list-table widefat fixed striped pages">
            <thead>
            <th class="column-primary"><?php _cp("Phone / Email") ?></th>
            <th><?php _cp("UserID") ?></th>
            <th><?php _cp("Url / Product") ?></th>
            <th><?php _cp("Count") ?></th>
            <th><?php _cp("Last download") ?></th>
            </thead>

            <?php foreach ($items as $item) : ?>
                <tr>
                    <td class="column-primary">
                        <?php echo esc_html($item->phone) ?> <br>
                        <?php echo esc_html($item->email) ?>
                        <button type="button" class="toggle-row"><span
                                    class="screen-reader-text"><?php _cp('Show more details') ?></span></button>
                    </td>
                    <td data-colname="<?php _cp('UserID') ?>"><?php echo esc_html($item->user_id) ?></td>
                    <td data-colname="<?php _cp('Url / Product') ?>">
                        <?php echo esc_html($item->files) ?>
                        <div><a target="_blank" href="<?php echo get_permalink($item->object_id) ?>"><?php _cp("View product") ?></a></div>
                    </td>

                    <td data-colname="<?php _cp('Count') ?>"><?php echo esc_html($item->count) ?></td>
                    <td data-colname="<?php _cp('Date') ?>"><?php echo cpFormatDateTime($item->updated_at) ?></td>
                </tr>
            <?php endforeach; ?>
        </table>

        <div class="tablenav bottom">
            <div class="tablenav-pages">
                <?php
                $totalPage = ceil($totalItems / $limit);
                echo cpAdminPagination($totalPage, $paged);
                ?>
            </div>
        </div>

    <?php endif; ?>


</div>
</form>

