<?php

class cp_otp_export
{
    public function __construct(){
        add_action('init', [$this, 'export'], 10, 1);
    }

    public function get_verified(){
        $results = array(
            'columns' => array(
                __cp("Phone"),
                __cp("Email"),
                __cp("UserID"),
                __cp("Date")
            ),
            'items' => array()
        );
        global $wpdb;
        $sqlItems = "SELECT * FROM ". cpsmart_otp_log::get_verified_table();
        $sqlItems .= " ORDER BY id DESC ";
        $data = $wpdb->get_results($sqlItems);
        if($data) {
            foreach ($data as $r){
                $results['items'][] = [
                    $r->phone,
                    $r->email,
                    $r->user_id,
                    cpFormatDateTime($r->created_at)
                ];
            }
        }
        return $results;
    }

    public function get_woo_download(){
        $results = array(
            'columns' => array(
                __cp("Phone"),
                __cp("Email"),
                __cp("UserID"),
                __cp("Product"),
                __cp("Count"),
                __cp("Last download"),
            ),
            'items' => array()
        );
        global $wpdb;
        $sqlItems = "SELECT * FROM ". cpsmart_otp_log::get_download_table();
        $sqlItems .= " ORDER BY id DESC ";
        $data = $wpdb->get_results($sqlItems);
        if($data){
            foreach ($data as $r){
                $results['items'][] = [
                    $r->phone,
                    $r->email,
                    $r->user_id,
                    $r->files,
                    $r->count,
                    cpFormatDateTime($r->updated_at)
                ];
            }
        }
        return $results;
    }

    public function export() {
        if(isset($_POST['cpotp_export_type']) && $_POST['cpotp_export_type']){

            $results = [];

            $fileName = sanitize_text_field($_POST['cpotp_export_type']);
            $fileName = $fileName ? ucfirst($fileName) : __cp('Export');
            $fileName .= '.csv';

            if('verified' == $_POST['cpotp_export_type']){
                $results = $this->get_verified();
            }elseif('woo-download' == $_POST['cpotp_export_type']){
                $results = $this->get_woo_download();
            }

            if($results && $results['items']){

                header("Pragma: no-cache");
                header("Expires: 0");
                header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
                header("Cache-Control: private", false);
                header("Content-Type: application/octet-stream");
                header("Content-Disposition: attachment; filename=\"$fileName\";" );
                header("Content-Transfer-Encoding: binary");

                $file = fopen('php://output', 'w');

                fputcsv($file, $results['columns']);

                foreach ($results['items'] as $item) {
                    fputcsv($file, $item);
                }
            }
            exit();
        }
    }
}

new cp_otp_export();