<?php

class cp_otp_shortcode_login
{
    public function __construct(){
        add_shortcode('cp_smart_otp_login', [$this, 'login_form']);
        add_action('wp_enqueue_scripts', [$this, 'enqueue_scripts'], 99);
        add_filter('cpotp-js-variable', [$this, 'change_variable_js']);
    }

    public function login_form($atts){
        $atts = shortcode_atts( array(
            'title'                 => __cp('Login'),
            'modal'                 => 0,
            'username_label'        => __cp('Username*'),
            'verify_type_label'     => __cp('Phone/Email*'),
            'button'                => __cp('Login'),
            'verify_phone_button'   => __cp('Login via SMS'),
            'verify_email_button'   => __cp('Login via Email'),
            'verify_by_email'       => 1,
            'verify_by_phone'       => 1,
        ), $atts, 'cp_smart_otp_login' );

        $html = '';

        $cp_otp_options = cp_otp_page_setting::get_options();

        $allow_login_email = $allow_login_sms = false;
        $country_code = '';

        if (isset($cp_otp_options['login']['mode_sms']) && $cp_otp_options['login']['mode_sms'] == true) {
            $country_code = cp_otp_helper::get_country_code();
            $allow_login_sms = true;
        }
        if (isset($cp_otp_options['login']['mode_email']) && $cp_otp_options['login']['mode_email'] == true) {
            $allow_login_email = true;
        }

        if (isset($cp_otp_options['login']['enable']) && $cp_otp_options['login']['enable'] == true) {

            extract($atts);

            ob_start();
            include CPOTP_PATH . '/public/partials/cp-shortcode-login.php';
            $html = ob_get_contents();
            ob_end_clean();

        }

        return $html;
    }

    public function enqueue_scripts(){
        wp_enqueue_script('fb-account-kit');
        wp_enqueue_script('cpotp-process-shorcode-login');
    }

    public function change_variable_js($args){
        $args['form_name'] = __cp('Shortcode Login');
        return $args;
    }
}

new cp_otp_shortcode_login();