var AccountKit_OnInteractive;

;(function ($) {
    'use strict';
    AccountKit_OnInteractive = function () {
        AccountKit.init({
            appId: CpOtp.app_id,
            state: CpOtp.nonce,
            version: CpOtp.version,
            fbAppEventsEnabled: true,
            display: CpOtp.app_display
        });
    };

    CpOtp.form_name = '';
    // login callback
    CpOtp.loginCallback = function (response) {

        if (response.status === "PARTIALLY_AUTHENTICATED") {
            var data = {
                code: response.code,
                csrf: response.csrf,
                action: 'fb_account_kit_associate'
            };

            var href = CpOtp.ajaxurl + "?";
            href += $.param({
                "action": "cp-sc-fb-verify",
                "fb_code": data.code,
                "referral": location.href,
                "form_name": CpOtp.form_name,
                "register": $('.CpOtp-shortcode-login .register input').is(':checked'),
                "username": $('.CpOtp-shortcode-login #username').val()
            });

            $.get(href, function (res) {
                if (res.success) {
                    location.href = CpOtp.redirect_after_login;
                } else {
                    alert(res.data.message);
                }
            });
        } else if (response.status === "NOT_AUTHENTICATED") {
        } else {
            console.log(response);
            alert("Error: 0000x1");
        }
    };

    function checkValid(){
        var username = $('.CpOtp-shortcode-login .username');
        if(!username.val()){
            username.parent().addClass('error');
            return 0;
        }else{
            $('.CpOtp-shortcode-login .error').removeClass('error');
            return 1;
        }
    }

    CpOtp.fblogin_email = function (event, formName) {
        event.preventDefault();

        if(!checkValid()) return;

        var $el = $(event.target);
        var parent = $el.closest('.CpOtp-shortcode-login');
        AccountKit.login('EMAIL', {
            emailAddress: parent.find('.verify_type').val()
        }, CpOtp.loginCallback);
    };
    CpOtp.fblogin_sms = function (event, formName) {
        event.preventDefault();

        if(!checkValid()) return;

        var $el = $(event.target);
        var parent = $el.closest('.CpOtp-shortcode-login');

        var countryCode = $el.data('country-code');
        countryCode = countryCode ? countryCode : '';

        AccountKit.login('PHONE', {
            countryCode: countryCode,
            phoneNumber: parent.find('.verify_type').val()
        }, CpOtp.loginCallback);
    };

    var modal = document.getElementById('CpOtp-myModal');
    if(modal) {
        var btn = document.getElementById("CpOtp-open-modal");
        var span = document.getElementById("CpOtp-close");
        btn.onclick = function () {
            modal.style.display = "block";
            document.body.style.overflow = 'hidden';
        };
        span.onclick = function () {
            modal.style.display = "none";
            document.body.style.overflow = 'initial';
        };
        window.onclick = function (event) {
            if (event.target == modal) {
                modal.style.display = "none";
                document.body.style.overflow = 'initial';
            }
        }
    }
})(jQuery);
