var AccountKit_OnInteractive;
(function ($) {
    'use strict';

    AccountKit_OnInteractive = function () {
        AccountKit.init({
            appId: CpOtp.app_id,
            state: CpOtp.nonce,
            version: CpOtp.version,
            fbAppEventsEnabled: true,
            display: CpOtp.app_display
        });
    };

    // login callback
    CpOtp.subscribe_to_download_callback = function (response) {

        if (response.status === "PARTIALLY_AUTHENTICATED") {
            var data = {
                code: response.code,
                csrf: response.csrf,
                action: 'fb_account_kit_associate'
            };

            var href = CpOtp.ajaxurl + "?";
            href += $.param({
                "action": "cpotp-subscribe-to-download",
                "fb_code": data.code,
                "referral": location.href,
                "object_id" : CpOtp.object_id,
                "form_name" : CpOtp.form_name,
            });

            $.get(href, function (res) {
                if (res.success) {
                    $('.cpOtp-subscribe-to-download .cpOtp-body').html(res.data.html);
                    $('.cpOtp-inner').addClass('cpOtp-res');
                } else {
                    alert(res.data.message);
                }
            });
        } else if (response.status === "NOT_AUTHENTICATED") {
        } else {
            alert("Error: 0000x1");
        }
    };

    $('.cpOtp-checkbox').click(function () {
        $('.checkmark').removeClass('error');
    });

    CpOtp.subscribe_to_download = function (event, object_id, type) {
        event.preventDefault();
        CpOtp.object_id = object_id;
        var $el = $(event.target);
        var $form = $el.closest('.cpOtp-subscribe-to-download');

        var input = $form.find('input').val();

        if(!$('.cpOtp-checkbox input').is(':checked')){
            $('.checkmark').addClass('error');
            return;
        }

        if(type === 2) {
            AccountKit.login('PHONE', {
                phoneNumber: input,
                countryCode: (typeof CpOtpGuten !== 'undefined') ? CpOtpGuten.countryCode : ''
            }, CpOtp.subscribe_to_download_callback);
        }else{
            AccountKit.login('EMAIL', {
                emailAddress: input
            }, CpOtp.subscribe_to_download_callback);
        }
    };

})(jQuery);
